/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-19
 * 描述            ：冶金规范工序点表(制程)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscStationMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_STATION", namespace=ComMscStationMapper.class)
public class ComMscStation extends BaseVO implements Serializable {
	
	/** 
	 * GUID
	 */ 
	@Column
	private String guid;
	public String  getGuid() {
		return this.guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	/** 
	 * 冶金规范码（保存MSC和接箍KEY）
	 */ 
	@Id
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 产线号
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程工序顺序号
	 */ 
	@Id
	private Long backlog_seq;
	public Long  getBacklog_seq() {
		return this.backlog_seq;
	}
	public void setBacklog_seq(Long backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	/** 
	 * 工序代码
	 */ 
	@Column
	private String process_code;
	public String  getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	/** 
	 * 工序名称
	 */ 
	@Column
	private String process_desc;
	public String  getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/** 
	 * 工序点代码
	 */ 
	@Id
	private String process_point_code;
	public String  getProcess_point_code() {
		return this.process_point_code;
	}
	public void setProcess_point_code(String process_point_code) {
		this.process_point_code = process_point_code;
	}

	/** 
	 * 工序点描述
	 */ 
	@Column
	private String process_point_desc;
	public String  getProcess_point_desc() {
		return this.process_point_desc;
	}
	public void setProcess_point_desc(String process_point_desc) {
		this.process_point_desc = process_point_desc;
	}

	/** 
	 * 工序点类型(验验类、判定类、工艺类...)
	 */ 
	@Column
	private String process_point_type;
	public String  getProcess_point_type() {
		return this.process_point_type;
	}
	public void setProcess_point_type(String process_point_type) {
		this.process_point_type = process_point_type;
	}

	/** 
	 * 工序点顺序号
	 */ 
	@Column
	private Long process_point_seq;
	public Long  getProcess_point_seq() {
		return this.process_point_seq;
	}
	public void setProcess_point_seq(Long process_point_seq) {
		this.process_point_seq = process_point_seq;
	}

	/** 
	 * 工序点标准成本
	 */ 
	@Column
	private Double cost;
	public Double  getCost() {
		return this.cost;
	}
	public void setCost(Double cost) {
		this.cost = cost;
	}

	/** 
	 * 必经项(1:是,0:不是)
	 */ 
	@Column
	private String choose;
	public String  getChoose() {
		return this.choose;
	}
	public void setChoose(String choose) {
		this.choose = choose;
	}

	/** 
	 * 执行返回(1:是,0:否)
	 */ 
	@Column
	private String return_result;
	public String  getReturn_result() {
		return this.return_result;
	}
	public void setReturn_result(String return_result) {
		this.return_result = return_result;
	}

	/** 
	 * 发送检验计划(1:是,0:否)
	 */ 
	@Column
	private String send_checkplan;
	public String  getSend_checkplan() {
		return this.send_checkplan;
	}
	public void setSend_checkplan(String send_checkplan) {
		this.send_checkplan = send_checkplan;
	}

	/** 
	 * 分组索引号(用于选择制程时，区分多个工序点或的关系)
	 */ 
	@Column
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 同工序流水号
	 */ 
	@Id
	private Long process_seq;
	public Long  getProcess_seq() {
		return this.process_seq;
	}
	public void setProcess_seq(Long process_seq) {
		this.process_seq = process_seq;
	}

	/** 
	 * 二级工序代码
	 */ 
	@Column
	private String process_code_c;
	public String  getProcess_code_c() {
		return this.process_code_c;
	}
	public void setProcess_code_c(String process_code_c) {
		this.process_code_c = process_code_c;
	}

	/** 
	 * 二级工序名称
	 */ 
	@Column
	private String process_desc_c;
	public String  getProcess_desc_c() {
		return this.process_desc_c;
	}
	public void setProcess_desc_c(String process_desc_c) {
		this.process_desc_c = process_desc_c;
	}

}
